[R003]Create Pre-patent Evaluation Report Task
Input the technical description text of the patent to be applied for (more than 200 words recommended), create the task of pre-patent evaluation report generation, and return the job id of the report export; The report contains scores and detailed index results for the three dimensions of technological innovation, patentability and translation prospect of the technology solution.
1.Support to customize the underlying model indicators, support indicator threshold setting, score weight adjustment and indicator deletion, please configure in the model indicator configuration page click to jump;
2.After obtaining the job id, please call the [R003 Export Pre-patent application Evaluation Report] API to obtain the report.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
Required | string | The invention discloses an automobile front-view based wireless video transmission system and method. The system comprises a front-view camera, a wireless video transmitting module, a wireless video receiving module, a display screen, a display triggering device, a first controller, a wireless command transmitting module, a wireless command receiving module, a second controller and an automobile starting detecting module, wherein the display screen is connected with the wireless video receiving module; the front-view camera is connected with the wireless video transmitting module; the wireless video transmitting module is wirelessly connected with the wireless video receiving module and wirelessly transmits a video shot by the front-view camera; and the wireless video receiving module receives and sends the video and displays the video on the display screen, so that the mounting time of the front-view camera is shortened greatly, no damage can be caused to an original automobile, the front-view camera can be mounted without a threading manner, and great convenience is brought to the owner of the automobile. | Technical description text (more than 200 words recommended) |
| integer<int32> | 50 | Number of similar patents used for model calculation, 0< limit≤100, default is 50 |
Required | integer<int32> | 1 | Patent technology maturity:
1: Report level (the basic principle of the technology has been observed and reported, which is in the research stage of paper theory)
2: Solution level (propose problems and corresponding solutions based on the discovered principles)
3: Functional level (proof of concept completed through theoretical and experimental analysis of key functions or features)
4: Simulation level (completed the verification of components and experimental samples in the laboratory environment, and carried out the integration of basic components)
5: Initial sample level (completed the verification of components and samples under simulated application conditions)
6: Positive sample level (completed the verification of components and experimental samples under approximate application conditions)
7: Environment level (completed the demonstration of the technology in the real application environment)
8: Product level (completed the product finalization, with the ability of large-scale production)
9: System level (completed the validation of the technology's products and other related product combinations)
10: Industrial level (the technology develops into an industry with mature supporting processes, components and products to implement the technology) |
Required | string | XX申请前评估报告 | Report name |
| array | [
{
"key": "检索报告编号",
"value": "Report-20240527-1"
},
{
"key": "发起人",
"value": "张三"
},
{
"key": "发起日",
"value": "20240527"
},
{
"key": "所属部门",
"value": "研发部"
}
] | Report basic information (for report presentation) |
Required | string | 检索报告编号 | key |
Required | string | Report-20240527-1 | value |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
job_id | string | b4bdae6b4a65432d91f25b5c52bdfd80 | Job ID |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"job_id": "b4bdae6b4a65432d91f25b5c52bdfd80"
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
68300020 | Configuration not exist |
68300021 | Configuration is not correct |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms